|  |  | 9.2 The <page> element

## 9.2 The <page> element

#### Attributes

title
  (optional) title of this page (displayed at a fixed location in a format specified by the style sheet),
section
  (optional) Title of document section starting with this page. If the attribute is not present, this page continues the section of the previous page. If the attribute is present, but its value is an empty string, then the contents of the `title` attribute is used instead.
subsection
  (optional) Title of document subsection starting with this page. If the attribute is not present, this page continues the subsection of the previous page. If the attribute is present, but its value is an empty string, then the contents of the `title` attribute is used instead.
marked
  (optional) The page is marked for printing unless the value of this attribute is `no`.

#### Contents

1. An optional `<notes>` element,
2. a possibly empty sequence of `<layer>` elements,
3. a possibly empty sequence of `<view>` elements,
4. a possibly empty sequence of Ipe object elements.

If a page contains no layer element, Ipe automatically adds a default layer named "alpha", visible and editable.

If a page contains no view element, a single view where all layers are visible is assumed.

### 9.2.1 The <notes> element

This element has no attributes. Its contents is plain text, containing notes for this page.

### 9.2.2 The <layer> element

#### Attributes

name
  (required) Name of the layer. It must not contain white space.
edit
  (optional) The value should be `yes` or `no` and indicates whether the user can select and modify the contents of the layer in the Ipe user interface (of course the user can always modify the setting of the attribute).

The layer element must be empty.

### 9.2.3 The <view> element

#### Attributes

layers
  (required) The value must be a sequence of layer names defined in this page, separated by white space.
active
  (required) The layer that is the active layer in this view.
effect
  (optional) The symbolic name of a graphics effect to be used during the PDF page transition. The effect must be defined in the style sheet.
marked
  (optional) The view is marked for printing if the value of this attribute is `yes`.

The view element must be empty.